> ## Documentation Index
> Fetch the complete documentation index at: https://docs.britive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get specified password policy's details

## OpenAPI

````json GET /api/v1/secretmanager/pwdpolicies/{id}
{
  "openapi": "3.0.1",
  "info": {
    "title": "Secret Manager APIs",
    "version": "v1",
    "description": "API documentation for Secret Manager, Policy Administration, Notifications, Approval service, etc."
  },
  "servers": [
    {
      "url": "https://{tenantURL}",
      "description": "The primary server",
      "variables": {
        "tenantURL": {
          "default": "test.britive-app.com",
          "description": "The host of the server"
        }
      }
    }
  ],
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Approvals"
    },
    {
      "name": "Notification Service"
    },
    {
      "name": "Policy Administration"
    },
    {
      "name": "Secrets Manager"
    },
    {
      "name": "Secret Rotation"
    }
  ],
  "paths": {
    "/api/v1/secretmanager/pwdpolicies/{id}": {
      "get": {
        "tags": [
          "Secrets Manager"
        ],
        "summary": "Get specified password policy's details",
        "operationId": "getPasswordPolicy",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Id of password policy",
            "required": "true",
            "schema": {
              "type": "string"
            },
            "example": "a6ed82f6-32b5-46d8-a3a3-c36cc574abd9"
          },
          {
            "name": "action",
            "in": "query",
            "description": "Action",
            "schema": {
              "type": "string"
            },
            "example": "generatePasswordOrPin"
          }
        ],
        "responses": {
          "200": {
            "description": "successful operation",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  }
}
````

